
QGIS Application - Bug report #17577

copy a 2D linestring to a LINESTRINGZ

2017-11-28 07:17 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25474

Description

creating a line in a 2D linestring geom and pasting it in a 3D linestring will crash QGIS. 

This can be tested with a postgis table:

CREATE TABLE public.pipe

(

  id uuid NOT NULL,

  year_end smallint,

  remark text,

  geometry_linez geometry(LineStringZ,21781),

  geometry_curve geometry(MultiCurve,21781),

  geometry_curvez geometry(MultiCurveZ,21781),

  geometrycollection geometry(GeometryCollectionZ,21781),

  geometry_line geometry(LineString,21781),

  CONSTRAINT pipe_pkey PRIMARY KEY (id)

)

WITH (

  OIDS=FALSE

);

COMMENT ON TABLE public.pipe

  IS 'Table for pipes.';

History

#1 - 2017-11-30 04:43 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2018-01-08 02:45 PM - Regis Haubourg

- Subject changed from copy a 2D linestring to a LINESTRINGD  to copy a 2D linestring to a LINESTRINGZ

#3 - 2018-02-24 04:34 PM - Regis Haubourg

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Seems fixed in QGIS3
